Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.schema
Class JsonSchemaValidatorFactory.MinimumItemsValidator

    java.lang.Object
      org.infinispan.schematic.internal.schema.JsonSchemaValidatorFactory.ItemCountValidator
          org.infinispan.schematic.internal.schema.JsonSchemaValidatorFactory.MinimumItemsValidator

All Implemented Interfaces:
  Serializable, Validator

Enclosing class:
  JsonSchemaValidatorFactory

    protected static class JsonSchemaValidatorFactory.MinimumItemsValidator

extends JsonSchemaValidatorFactory.ItemCountValidator

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.infinispan.schematic.internal.schema.Validator
`Validator.Factory, Validator.SchemaDocumentResolver`

Constructor Summary
`JsonSchemaValidatorFactory.MinimumItemsValidator(String propertyName, int minimum)`

Method Summary
`protected boolean` | `evaluate(double minimumCount, double actualCount)`
`protected String` | `ruleDescription()`

Methods inherited from class org.infinispan.schematic.internal.schema.JsonSchemaValidatorFactory.ItemCountValidator
`toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JsonSchemaValidatorFactory.MinimumItemsValidator

    public JsonSchemaValidatorFactory.MinimumItemsValidator(String propertyName,
                                                            int minimum)

Method Detail

### evaluate

    protected boolean evaluate(double minimumCount,
                               double actualCount)

  Specified by:
    `evaluate` in class `JsonSchemaValidatorFactory.ItemCountValidator`

### ruleDescription

    protected String ruleDescription()

  Specified by:
    `ruleDescription` in class `JsonSchemaValidatorFactory.ItemCountValidator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.